Attribute Value
With the Attribute Values entity, you can get the possible values of each attribute in each dataset, which can be used when filtering in query report.
Attribute ValuesGET /reporting/attributeValues- Get Attributevalues
Attribute Value JSON Format
AttributeValue is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
value |
string | The value of the attribute value. When using attribute as filter, put it into the api as value. |
label |
string | The label of the attribute value. User friendly string to display in the UI. |
Get AttributeValues
GET /reporting/attributeValues
-
Request parameters:
| Name | Type | In | Required | Description |
|---|---|---|---|---|
attributeId |
string | query | yes | The Id of the dataset attribute which need to get values. |
-
Response body:
An array of AttributeValue
-
Example
- Request
curl https://api11.comm100.io/reporting/attributeValues? attributeId=ChatAgent&siteid=10000 \ -X 'GET' \ -H 'Authorization: Bearer {access_token}'- Response
HTTP/1.1 200 OK
[ { "value": "67f44eb6-34f3-46d9-afe5-310ee7607368", "label": "xu bruce (xu bruce)" }, ... ]